# Kompakkt.Viewer

![Kompakkt](src/assets/img/kompakkt-logo.png)

Web Based 3D Viewer and 3D Annotation System.

## Development setup

In order to setup your own development environment, you have to have [NodeJS](https://nodejs.org/en/) as well as Node Package Manager ([NPM](https://www.npmjs.com/)) installed.

Clone this repository, cd to the project directory and run the following commands:

```bash
$ git clone https://github.com/Kompakkt/Common.git src/common
$ npm i
$ ng serve
```

Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `-prod` flag for a production build.
